<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
	
	
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%  } %>
<%@ include file="/m05bIdioma.inc"%>			
<HTML>
<head>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>	
</head>

<%	  
	  java.sql.Connection conn=null;
	  PreparedStatement pstmt = null;
	  ResultSet rs = null;
	  m05bComun comun = new m05bComun();
	  m05bCampos miCampo = new m05bCampos();
	  m05bFileLog miLog = new m05bFileLog();
	  m05bConexion miConex = new m05bConexion();
	  conn = miConex.getConnection();
	  miLog.addTraza("Anabel","Orden Frame", "INICIO", m05bConstantes.LOG_NIVEL_BAJO);
	  String NOrden=request.getParameter("Codigo");
	  miLog.addTraza("Anabel","NOrden", "NOrden", m05bConstantes.LOG_NIVEL_BAJO);	  
	  String sRepEfectuar=request.getParameter("Repefectuar");
	 
	  miLog.addTraza("Anabel","sRepEfectuar", sRepEfectuar, m05bConstantes.LOG_NIVEL_BAJO);	  

	  StringBuffer sql= new StringBuffer();
	  String aux1="", aux2="", aux3="", aux4="", aux5="";


			sql=sql.append(" update	").append(m05bConstantes.TAB_ORDENESTRAB);
			sql=sql.append(" set ").append(m05bConstantes.COL_20_DESCRIP).append(" = UPPER('").append(sRepEfectuar).append("')");
			sql=sql.append(" WHERE ").append(m05bConstantes.COL_20_CODIGO).append("= '").append(NOrden).append("'");
			miLog.addTraza("BEGO", "Ord. Trabajo"," sql: " + sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);



  try {
				   pstmt = conn.prepareStatement(sql.toString());
				   rs = pstmt.executeQuery();
				   conn.commit();%>


				                <script>
					                    alert(dameAlerta(idioma, 3));
					                    top.formOrdTrabajo.Repefectuar.value="<%=sRepEfectuar%>";
				                </script>


  <%} catch (Exception ex1){
	  
   		miLog.addTraza(ex1);
  } finally {
				if (rs != null)
					rs.close();
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();
  } %>
<BODY bgcolor="white" onkeydown="cancelaEnter();">
</BODY>
</HTML>